gnutls_x509_crl_sign(3)

NAME
gnutls_x509_crl_sign

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_sign(gnutls_x509_crl_t crl, gnutls_x509_crt_t issuer, gnutls_x509_privkey_t issuer_key);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

gnutls_x509_crt_t issuer
    is the certificate of the certificate issuer

gnutls_x509_privkey_t issuer_key
    holds the issuer's private key

DESCRIPTION
This function is the same a gnutls_x509_crl_sign2() with no flags, and SHA1 as the hash algorithm. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.